# neohub

Dart / Flutter API for controlling NeoHub from Heatmiser.

Note: The Heatmiser API is not HTTP, it uses sockets so this likely won't work
from the web.


## Getting Started

For example:

```dart
/// Example of running the NeoHub
/// Change the Address to the IP address of your hub.

import 'package:neohub/neohub.dart';

const NEOHUB_ADDRESS = '10.0.0.30';

main() async {
  final hub = NeoHub(NEOHUB_ADDRESS);
  print(await hub.getZones());
}
```

## Reference

Not that useful, but [API Reference from
Heatmiser](doc/Neohub_Api_For_Systems_Developers.pdf) email
support@heatmiser.com if you need your own copy.
